@import "@material/layout-grid/_variables";

/* https://github.com/at-import/breakpoint/wiki/Advanced-Media-Queries may be better */

/* https://github.com/digitaledgeit/sass-breakpoints */
@import "./settings";
@import "sass-breakpoints";

@include breakpoint('sm') {           //from `sm` (>=0px)
	body {
		//background-color: red;
	}
}
  
@include breakpoint('md', 'lg') {     //from `md` to `lg - 1px` (>=768px to <1024px)
	body {
		//background-color: green;
	}
}
  
@include breakpoint('lg') {           //from `lg` (>=1024px)
	body {
		//background-color: blue;
	}
}

@import "preact-material-components/LayoutGrid/_mixins";

$media-width: (
	desktop: 350px,
	tablet: 300px,
	phone: 250px
) !default;

$media-height: (
	desktop: 250px,
	tablet: 200px,
	phone: 150px
) !default;

@mixin media-height($mh: null, $divider: null, $property: null) {
	$divider: if($divider != null, $divider, 1);
	$property: if($property != null, $property, height);
	@each $size in map-keys($mdc-layout-grid-columns) {
		$mh: if($mh != null, $mh, $media-height);
		@include mdc-layout-grid-media-query_($size) {
			#{$property}: map-get($mh, $size) / $divider;
		}
	}
}

@mixin media-width($mw: null, $divider: null, $property: null) {
	$divider: if($divider != null, $divider, 1);
	$property: if($property != null, $property, width);
	@each $size in map-keys($mdc-layout-grid-columns) {
		$mw: if($mw != null, $mw, $media-width);
		@include mdc-layout-grid-media-query_($size) {
			#{$property}: map-get($mw, $size) / $divider;
		}
	}
}

@mixin media-wh($mw: null, $mh: null) {
	@each $size in map-keys($mdc-layout-grid-columns) {
		$mw: if($mw != null, $mw, $media-width);
		$mh: if($mh != null, $mh, $media-height);
		@include mdc-layout-grid-media-query_($size) {
			width: map-get($mw, $size);
			height: map-get($mh, $size);
		}
	}
}
